﻿#language: ru

@quality_control

Функционал: 03_quality_control. Создание документа Регистрация показателей по складам

Сценарий: 03_quality_control. Создание документа Регистрация показателей по складам
	Дано Я подключаюсь под "qual_Лаборант"
	И В командном интерфейсе я выбираю 'Производство' 'Регистрации показателей по складам'
	Тогда открылось окно 'Регистрации показателей по складам'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Регистрация показателей по складам (создание)'
	И я нажимаю кнопку выбора у поля "Вид показателя"
	Тогда открылось окно 'Виды показателей складов'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Солилка' |	
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Регистрация показателей по складам (создание) *'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Регистрация показателей по складам (создание) *'
	И я перехожу к закладке "Показатели"
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель'   |
		| 'Температура' |
	И в таблице "Показатели" в поле 'Значение показателя' я ввожу текст '5,000'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель'   |
		| 'Номер пресса' |
	И в таблице "Показатели" из выпадающего списка "Значение показателя" я выбираю точное значение '3'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'Давление'   |
	И в таблице "Показатели" в поле 'Значение показателя' я ввожу текст '4'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'Аварии'     |
	И в таблице "Показатели" из выпадающего списка "Значение показателя" я выбираю точное значение 'Нет'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Регистрация показателей по складам (создание) *' в течение 20 секунд
	Тогда открылось окно 'Регистрации показателей по складам'
	И Я закрываю окно 'Регистрации показателей по складам'

Сценарий: 03_quality_control.02.019 Закрытие клиента
	И я закрываю сеанс TESTCLIENT